Get the aggregated report
Get accepted and missed chats and calls for a period, per channel and per agent.
GET https://cotlet.dev/api/v1/jivochat/aggregated-report
get_aggregated_report returns the numbers of Statistics > Aggregated Report: accepted chats, accepted calls, missed chats and missed calls, once for the whole account, once per agent and once per agent in each channel. The app allows a period of up to 180 days, and its help center advises 90 days at most. Only an administrator can open this report; any other role gets APP_PERMISSION_DENIED.
Parameters
| Name | Type | Description |
|---|---|---|
| date_from string required | string | First day of the period, YYYY-MM-DD. |
| date_to string required | string | Last day of the period, YYYY-MM-DD. |
Request
curl "https://cotlet.dev/api/v1/jivochat/aggregated-report?date_from=2026-10-12&date_to=2026-10-18" \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("jivochat", "get_aggregated_report", {"date_from":"2026-10-12","date_to":"2026-10-18"}) const result = await cotlet.call('jivochat', 'get_aggregated_report', {"date_from":"2026-10-12","date_to":"2026-10-18"}); cotlet call jivochat get_aggregated_report --data '{"date_from":"2026-10-12","date_to":"2026-10-18"}' Example response
{
"period": {
"date_from": "2026-10-12",
"date_to": "2026-10-18"
},
"by_sites": [
{
"channel": "Live Chat",
"accepted_chats": 118,
"accepted_calls": 0,
"missed_chats": 9,
"missed_calls": 0
}
],
"by_agents": [
{
"agent": "Sam Rivera",
"accepted_chats": 71,
"accepted_calls": 0
},
{
"agent": "Priya Nair",
"accepted_chats": 47,
"accepted_calls": 0
}
],
"by_agents_per_site": [
{
"channel": "Live Chat",
"agent": "Sam Rivera",
"accepted_chats": 71,
"accepted_calls": 0
},
{
"channel": "Live Chat",
"agent": "Priya Nair",
"accepted_chats": 47,
"accepted_calls": 0
}
]
}